## nipype 1.0.0+git69-gdb2670326

=== debian/changelog ===
nipype (1.0.0+git69-gdb2670326-1) unstable; urgency=medium

  * Fresh upstream post-release snapshot
  * debian/control
    - upstream requires traits 4.5.0:
      https://github.com/nipy/nipype/issues/2346

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 11 Feb 2018 00:10:19 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON_MODULE_PACKAGE = python-nipype
DEB_PYTHON_MODULE_PACKAGES = python-nipype
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DESTDIR = $(CURDIR)/debian/python-nipype
export HOME=$(CURDIR)/build

PYVERS = $(shell pyversions -vr)
PYVER = $(shell pyversions -vd)

IPYTHONVER := $(shell ipython -V || echo 0) # recent only needed for sphinxext
IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 1 \
				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython1X" || echo '')

build/python-nipype::
	mkdir -p build
	echo "backend : Agg" >| build/matplotlibrc

#
# Documentation
#
doc: doc-stamp
doc-stamp: build/python-nipype
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # TODO: We need to set matplotlib backend to Agg before building...
	export PYTHONPATH=$$PWD$(IPYTHONPATH) MPLCONFIGDIR=$(CURDIR)/build; cd doc; LC_ALL=C.UTF-8 $(MAKE) html
	touch $@
endif

build/python-nipype-doc:: doc

install/python-nipype::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=`/bin/ls -d $(DEB_DESTDIR)/usr/lib/python$(cdbs_python_current_version)/*-packages`$(IPYTHONPATH); \
	cd build && \
         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 py.test -v --doctest-modules ../nipype
    # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
    # https://github.com/nipy/nipype/issues/1218, so skipping it for now
endif
	: # no executable spreadsheets
	find debian -iname *csv -print0 | xargs -r -0 chmod a-x

# use jquery from Debian package
# symlinked by debhelper
install/python-nipype-doc::
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js

# immediately useable documentation
# and exemplar data (they are small excerpts anyways)
DEB_COMPRESS_EXCLUDE := .py .pdf .html .css .jpg .txt .js .json .rtc .par .bin
# -doc package contents
DEB_INSTALL_DOCS_python-nipype-doc := doc/_build/html
#doc/_build/latex/nipype.pdf

clean::
	rm -rf build pypeline.log
	$(MAKE) -C doc clean

.PHONY: doc clean

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/nipype-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/nipy/nipype/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz

## nipype 1.0.1

=== debian/changelog ===
nipype (1.0.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - added python-numpydoc to build-depends
  * debian/rules
    - export FSLOUTPUTTYPE=NIFTI_GZ to avoid useless warnings

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Feb 2018 19:13:42 -0500

=== debian/control ===
Source: nipype
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
               python-sphinx (>= 0.6), 
               python-numpydoc,
               python-packaging,
               python-pytest,
               python-pydotplus,
               python-click,
               python-configparser,
               python-simplejson, python-traits (>= 4.5.0) | python-traits4 (>= 4.5),
               python-scipy, python-matplotlib, python-sympy,
               python-nibabel (>= 1.0.0~), python-nitime, python-nipy (>= 0.1.2+20101206-1~),
               python-mock,
               python-networkx (>= 1.3),
               python-funcsigs,
               python-future,
               python-psutil,
               python-prov,
               graphviz,
               ipython (>= 1~) | ipython1x,
Build-Conflicts: python-networkx (<=1.0~rc1~)
Homepage: http://nipy.sourceforge.net/nipype/
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
Standards-Version: 4.1.2


Package: python-nipype
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
         python-click,
         python-configparser,
         python-packaging,
         python-scipy,
         python-simplejson,
         python-traits (>= 4.5.0) | python-traits4 (>= 4.5.0),
         python-nibabel (>= 1.0.0~),
         python-networkx (>= 1.3),
         python-funcsigs,
         python-future,
         python-prov,
         python-psutil,
Recommends: ipython, python-pytest, graphviz, python-xvfbwrapper, mayavi2,
            python-mock, python-pydotplus,
            python-cfflib,
Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
          python-pyxnat, mne-python, elastix, ants,
Provides: ${python:Provides}
Description: Neuroimaging data analysis pipelines in Python
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).


Package: python-nipype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-nipype
Description: Neuroimaging data analysis pipelines in Python -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.

## nipype 1.0.2

=== debian/changelog ===
nipype (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches - refreshed
  * debian/control
    - added explicit dependency on python-dateutil (>= 2.2) as upstream
    - added python-pytest-xdist into bdepends since tests now use -n auto

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Mar 2018 08:50:08 -0400

## nipype 1.0.3

=== debian/changelog ===
nipype (1.0.3-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 May 2018 14:38:10 -0400

nipype (1.0.2-3) neurodebian; urgency=medium

  * debian/patches/deb_no_strict_versions
    - to allow for python-prov 1.4.0 and above
      see https://github.com/nipy/nipype/issues/2531
    - allow python-traits >= 4.5
      see https://github.com/nipy/nipype/issues/2346

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 09 Apr 2018 18:52:08 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
                python-sphinx (>= 0.6), 
+               python-dateutil (>= 2.2), 
                python-numpydoc,
                python-packaging,
                python-pytest,
+               python-pytest-xdist,
                python-pydotplus,
                python-click,
                python-configparser,
@@ -35,6 +37,7 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          python-click,
          python-configparser,
+         python-dateutil (>= 2.2), 
          python-packaging,
          python-scipy,
          python-simplejson,
@@ -50,6 +53,7 @@
             python-cfflib,
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,
+          python-pytest-xdist,
 Provides: ${python:Provides}
 Description: Neuroimaging data analysis pipelines in Python
  Nipype interfaces Python to other neuroimaging packages and creates

## nipype 1.1.1

=== Makefile ===
# Makefile for building distributions of nipype.
# Files are then pushed to sourceforge using rsync with a command like this:
# rsync -e ssh nipype-0.1-py2.5.egg cburns,nipy@frs.sourceforge.net:/home/frs/project/n/ni/nipy/nipype/nipype-0.1/

PYTHON ?= python

.PHONY: zipdoc sdist egg upload_to_pypi trailing-spaces clean-pyc clean-so clean-build clean-ctags clean in inplace test-code test-coverage test html specs check-before-commit check gen-base-dockerfile gen-main-dockerfile gen-dockerfiles

zipdoc: html
	zip documentation.zip doc/_build/html

sdist: zipdoc
	@echo "Building source distribution..."
	python setup.py sdist
	@echo "Done building source distribution."
	# XXX copy documentation.zip to dist directory.

egg: zipdoc
	@echo "Building egg..."
	python setup.py bdist_egg
	@echo "Done building egg."

upload_to_pypi: zipdoc
	@echo "Uploading to PyPi..."
	python setup.py sdist --formats=zip,gztar upload

trailing-spaces:
	find . -name "*[.py|.rst]" -type f | xargs perl -pi -e 's/[ \t]*$$//'
	@echo "Reverting test_docparse"
	git checkout nipype/utils/tests/test_docparse.py

clean-pyc:
	find . -name "*.pyc" | xargs rm -f
	find . -name "__pycache__" -type d | xargs rm -rf

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build

clean-ctags:
	rm -f tags

clean-doc:
	rm -rf doc/_build

clean-tests:
	rm -f .coverage

clean: clean-build clean-pyc clean-so clean-ctags clean-doc clean-tests

in: inplace # just a shortcut
inplace:
	$(PYTHON) setup.py build_ext -i

test-code: in
	py.test --doctest-module nipype

test-coverage: clean-tests in
	py.test --doctest-modules --cov-config .coveragerc --cov=nipype nipype

test: tests # just another name
tests: clean test-code

html:
	@echo "building docs"
	make -C doc clean htmlonly

specs:
	@echo "Checking specs and autogenerating spec tests"
	env PYTHONPATH=".:$(PYTHONPATH)" python tools/checkspecs.py

check: check-before-commit # just a shortcut
check-before-commit: specs trailing-spaces html test
	@echo "removed spaces"
	@echo "built docs"
	@echo "ran test"
	@echo "generated spec tests"

gen-base-dockerfile:
	@echo "Generating base Dockerfile"
	bash docker/generate_dockerfiles.sh -b

gen-main-dockerfile:
	@echo "Generating main Dockerfile"
	bash docker/generate_dockerfiles.sh -m

gen-dockerfiles: gen-base-dockerfile gen-main-dockerfile

=== requirements.txt ===
numpy>=1.9.0
scipy>=0.14
networkx>=1.9
traits>=4.6
python-dateutil>=2.2
nibabel>=2.1.0
future>=0.16.0
simplejson>=3.8.0
prov==1.5.0
click>=6.6.0
funcsigs
configparser
pytest>=3.0
pytest-xdist
pytest-env
mock
pydotplus
pydot>=1.2.3
packaging

=== debian/changelog ===
nipype (1.1.1-2) unstable; urgency=medium

  * debian/control
    - point vcs fields to salsa
  * debian/patches/deb_simplify_requires temporary patch to resolve
    uninstallable state on older debian/ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 09 Aug 2018 14:26:03 -0400

nipype (1.1.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    + python-concurrent.futures and python-pydot to B-Depends and 
      Depends for python-nipype

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Aug 2018 13:00:43 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
+               python-concurrent.futures,
                python-sphinx (>= 0.6), 
                python-dateutil (>= 2.2), 
                python-numpydoc,
                python-packaging,
                python-pytest,
                python-pytest-xdist,
+               python-pydot,
                python-pydotplus,
                python-click,
                python-configparser,
@@ -26,8 +28,8 @@
                ipython (>= 1~) | ipython1x,
 Build-Conflicts: python-networkx (<=1.0~rc1~)
 Homepage: http://nipy.sourceforge.net/nipype/
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipype.git
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipype.git
+Vcs-Git: https://salsa.debian.org/neurodebian-team/nipype.git
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/nipype
 Standards-Version: 4.1.2
 
 
@@ -35,6 +37,7 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+         python-concurrent.futures,
          python-click,
          python-configparser,
          python-dateutil (>= 2.2), 
@@ -49,7 +52,7 @@
          python-prov,
          python-psutil,
 Recommends: ipython, python-pytest, graphviz, python-xvfbwrapper, mayavi2,
-            python-mock, python-pydotplus,
+            python-mock, python-pydotplus, python-pydot,
             python-cfflib,
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,

## nipype 1.1.3

=== debian/changelog ===
nipype (1.1.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    + Suggest python-bids

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Oct 2018 10:57:16 -0400

## nipype 1.1.8

=== requirements.txt ===
numpy>=1.9.0
scipy>=0.14
networkx>=1.9
traits>=4.6
python-dateutil>=2.2
nibabel>=2.1.0
future>=0.16.0
simplejson>=3.8.0
prov>=1.5.2
neurdflib
click>=6.6.0
funcsigs
configparser
pydotplus
pydot>=1.2.3
packaging

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html api htmlonly latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      make the HTML documentation"
	@echo "  api       	make API documents only"
	@echo "  latex     make the LaTeX, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  changes   make an overview of all changed/added/deprecated" \
	      		"items (ChangeLog)"
	@echo "  linkcheck check all external links for integrity"
	@echo "  doctest   run all doctests embedded in the documentation"
	@echo "  sf_satra copy html files to sourceforge (satra only)"

clean:
	-rm -rf _build/* *~ api/generated interfaces/generated users/examples documentation.zip

htmlonly:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

api:
	rm -rf api/generated
	python -u ../tools/build_modref_templates.py
	rm -rf interfaces/generated
	python -u ../tools/build_interface_docs.py
	@echo "Build API docs finished."

html: clean examples2rst api htmlonly
	@echo "Build HTML and API finished."

examples2rst:
	mkdir -p users/examples
	../tools/make_examples.py --no-exec
	@echo "examples2rst finished."

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
pdf: latex
	cd _build/latex && make all-pdf

all: html pdf

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

gitwash-update:
	python -u ../tools/gitwash_dumper.py devel nipype \
            --repo-name=nipype \
            --github-user=nipy \
            --project-url=http://nipy.org/nipype \
            --project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
	@echo "gitwash updated"

# Sourceforge doesn't appear to have a way of copying the files
# without specifying a username.  So we'll probably have one target
# for each project admin
sf_satra_nightly: html
	@echo "Copying html files to sourceforge..."
	scp -r _build/html/* satra,nipy@web.sourceforge.net:htdocs/nipype-nightly/

sf_satra: html
	@echo "Copying html files to sourceforge..."
	rsync -auv _build/html/. satra,nipy@web.sourceforge.net:htdocs/nipype/.

sf_filo: html
	@echo "Copying html files to sourceforge..."
	rsync -auv _build/html/. gorgolewski,nipy@web.sourceforge.net:htdocs/nipype/.

=== debian/changelog ===
nipype (1.1.8-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 03 Feb 2019 19:16:00 -0500

nipype (1.1.7-2) neurodebian; urgency=medium

  * d/p/deb_no_strict_versions
    - do not require recent pytest - version was boosted upstream only to
      workaround problems with some CIs, and now forbids us to use backport

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Jan 2019 12:30:32 -0500

nipype (1.1.7-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - refreshed and upstramed changeset_* dropped
    - added deb_no_neurdflib to avoid requiring neurdflib for now.
      All the RDF handling dependencies are too much in flux ATM.
      Let's see if the reset of functionality/tests pass during building.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Dec 2018 14:45:19 -0500

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
             python-cfflib,
 Suggests: fsl, afni, python-nipy, slicer, matlab-spm8,
           python-pyxnat, mne-python, elastix, ants,
-          python-pytest-xdist,
+          python-pytest-xdist, python-bids,
 Provides: ${python:Provides}
 Description: Neuroimaging data analysis pipelines in Python
  Nipype interfaces Python to other neuroimaging packages and creates

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,13 @@
 IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 1 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython1X" || echo '')
 
+# just to prevent useless complaints
+export FSLOUTPUTTYPE=NIFTI_GZ
+
 build/python-nipype::
 	mkdir -p build
 	echo "backend : Agg" >| build/matplotlibrc
+	/bin/ls doc/changelog/*changelog | tac | xargs cat >| debian/nipype.changelog
 
 #
 # Documentation
@@ -58,7 +62,7 @@
 #doc/_build/latex/nipype.pdf
 
 clean::
-	rm -rf build pypeline.log
+	rm -rf build pypeline.log debian/nipype.changelog
 	$(MAKE) -C doc clean
 
 .PHONY: doc clean

## nipype 1.1.9

=== debian/changelog ===
nipype (1.1.9-1~nd18.10+1+nd19.04+1) disco; urgency=medium

  * Backported for disco.

 -- unamed <unknown>  Mon, 15 Apr 2019 15:58:31 -0400

nipype (1.1.9-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 15 Mar 2019 00:27:14 -0400

nipype (1.1.9-1) experimental; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Mar 2019 22:40:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nipype
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: cdbs, debhelper (>= 9), python (>= 2.6), python-setuptools (>= 0.6),
                python-concurrent.futures,
@@ -36,7 +37,7 @@
 Package: python-nipype
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
          python-concurrent.futures,
          python-click,
          python-configparser,
@@ -68,7 +69,7 @@
 Package: python-nipype-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-nipype
 Description: Neuroimaging data analysis pipelines in Python -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates

## nipype 1.6.0

=== doc/requirements.txt ===
dipy
ipython
matplotlib
nbsphinx
sphinx-argparse
sphinx>=2.1.2
sphinxcontrib-apidoc
sphinxcontrib-napoleon
niflow-nipype1-workflows

=== debian/changelog ===
nipype (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload
  * Remove debian/blends
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 07:43:31 +0100

nipype (1.6.0-1) unstable; urgency=medium

  * Recent upstream release
    - requires python3-librdf >= 5.0.0 (dropping patches/deb_no_neurdflib
      which was initially introduced by upstream as a workaround)
  * d/patches
    - sphinx.patch - also exclude niflow-nipype1-workflows and disable
      git cloning of an external repository
  * d/control
    - temporarily remove python3-nipy in build-depends (not installable ATM)
  * d/rules
    - skip nipype.interfaces.io.BIDSDataGrabber doctest since causes internal
      pytest trouble in backport to debian stable (buster), and anyways
      would be skipped ATM since we do not have python3-bids ATM.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Dec 2020 15:19:50 -0500

nipype (1.5.0~rc1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Move package to Debian Med team
  * Drop debian/gbp.conf since repository was converted to default layout
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Build Python3 module instead of Python2
    Closes: #937144, #932197
  * Switch from cdbs to dh
  * Remove outdated debian/README.{Debian,source}
  * Remove outdated debian/{pyversions,pycompat}
  * DEP3
  * Build-Depends: python3-filelock, python3-sphinxcontrib.apidoc,
                   python3-nbsphinx, python3-etelemetry
  * Upstream switched from BSD-3 to Apache-2.0 license

  [ Yaroslav Halchenko ]
  * Finalize for upload with endless gratitude to Andreas

  TODO: Some strange sphinx issue remaining when trying to build the package

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Mar 2020 12:10:16 -0400

=== debian/control ===
Source: nipype
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-sphinx,
               python3-sphinxcontrib.apidoc,
               python3-dateutil,
               python3-numpydoc,
               python3-packaging,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pydot,
               python3-pydotplus,
               python3-click,
               python3-etelemetry,
               python3-filelock,
               python3-matplotlib,
               python3-nbsphinx,
               python3-nibabel,
               python3-nitime,
               python3-nipy <needsrebuildorfix>,
               python3-simplejson,
               python3-scipy,
               python3-sympy,
               python3-traits,
               python3-mock,
               python3-networkx,
               python3-funcsigs,
               python3-future,
               python3-psutil,
               python3-prov,
               graphviz,
               ipython3
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/nipype
Vcs-Git: https://salsa.debian.org/med-team/nipype.git
Homepage: http://nipy.sourceforge.net/nipype/

Package: python3-nipype
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-click,
         python3-dateutil,
         python3-packaging,
         python3-scipy,
         python3-simplejson,
         python3-traits,
         python3-nibabel,
         python3-networkx,
         python3-etelemetry,
         python3-funcsigs,
         python3-future,
         python3-prov,
         python3-psutil
Recommends: ipython3,
            python3-pytest,
            graphviz,
            python3-xvfbwrapper,
            mayavi2,
            python3-mock,
            python3-pydotplus,
            python3-pydot,
            python3-cfflib
Suggests: fsl,
          afni,
          python3-nipy,
          slicer,
          matlab-spm8,
          python3-pyxnat,
          mne-python,
          elastix,
          ants,
          python3-pytest-xdist,
          python3-bids
Provides: ${python3:Provides}
Description: Neuroimaging data analysis pipelines in Python3
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).

Package: python-nipype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-nipype
Description: Neuroimaging data analysis pipelines in Python3 -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=nipype
export HOME=$(CURDIR)/build

PY3VERS = $(shell py3versions -vr)
PY3VER = $(shell py3versions -vd)

IPYTHONVER := $(shell ipython3 -V || echo 0) # recent only needed for sphinxext
IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 1 \
				 && echo ":/usr/lib/python$(PY3VER)/dist-packages/IPython1X" || echo '')

# just to prevent useless complaints
export FSLOUTPUTTYPE=NIFTI_GZ

# Disable etelemtry
export NIPYPE_NO_ET=1
export NO_ET=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	mkdir -p build
	echo "backend : Agg" >| build/matplotlibrc
	/bin/ls doc/changelog/*changelog | tac | xargs cat >| debian/nipype.changelog
	dh_auto_build
	#
	# Documentation
	#
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	: # TODO: We need to set matplotlib backend to Agg before building...
	export PYTHONPATH=$$PWD$(IPYTHONPATH) MPLCONFIGDIR=$(CURDIR)/build; cd doc; LC_ALL=C.UTF-8 $(MAKE) html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3); \
	cd build && \
         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 py.test-3 -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
    # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
    # https://github.com/nipy/nipype/issues/1218, so skipping it for now
endif
	: # no executable spreadsheets
	find debian -iname *csv -print0 | xargs -r -0 chmod a-x

# use jquery from Debian package
# symlinked by debhelper
override_dh_installdocs:
	-rm doc/_build/html/_static/jquery.js
	-rm doc/_build/html/_static/underscore.js
	dh_installdocs

# immediately useable documentation
# and exemplar data (they are small excerpts anyways)
override_dh_compress:
	dh_compress \
		    --exclude .py \
		    --exclude .pdf \
		    --exclude .html \
		    --exclude .css \
		    --exclude .jpg \
		    --exclude .txt \
		    --exclude .js \
		    --exclude .json \
		    --exclude .rtc \
		    --exclude .par \
		    --exclude .bin

override_dh_clean:
	rm -rf build pypeline.log debian/nipype.changelog
	$(MAKE) -C doc clean
	dh_clean

## nipype 1.7.0

=== Makefile ===
--- 
+++ 
@@ -11,18 +11,18 @@
 
 sdist: zipdoc
 	@echo "Building source distribution..."
-	python setup.py sdist
+	$(PYTHON) setup.py sdist
 	@echo "Done building source distribution."
 	# XXX copy documentation.zip to dist directory.
 
 egg: zipdoc
 	@echo "Building egg..."
-	python setup.py bdist_egg
+	$(PYTHON) setup.py bdist_egg
 	@echo "Done building egg."
 
 upload_to_pypi: zipdoc
 	@echo "Uploading to PyPi..."
-	python setup.py sdist --formats=zip,gztar upload
+	$(PYTHON) setup.py sdist --formats=zip,gztar upload
 
 trailing-spaces:
 	find . -name "*[.py|.rst]" -type f | xargs perl -pi -e 's/[ \t]*$$//'
@@ -56,10 +56,10 @@
 	$(PYTHON) setup.py build_ext -i
 
 test-code: in
-	py.test --doctest-module nipype
+	$(PYTHON) -m pytest --doctest-modules nipype
 
 test-coverage: clean-tests in
-	py.test --doctest-modules --cov-config .coveragerc --cov=nipype nipype
+	$(PYTHON) -m pytest --doctest-modules --cov-config .coveragerc --cov=nipype nipype
 
 test: tests # just another name
 tests: clean test-code
@@ -70,7 +70,7 @@
 
 specs:
 	@echo "Checking specs and autogenerating spec tests"
-	env PYTHONPATH=".:$(PYTHONPATH)" python tools/checkspecs.py
+	env PYTHONPATH=".:$(PYTHONPATH)" $(PYTHON) tools/checkspecs.py
 
 check: check-before-commit # just a shortcut
 check-before-commit: specs trailing-spaces html test

=== debian/changelog ===
nipype (1.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version 1.6.1
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Apply multi-arch hints.
    + python-nipype-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)

  [ Étienne Mollier ]
  * New upstream version 1.7.0
  * Refresh deb_skip_doctest_pybids patch
  * Add tcompcor.patch: fixes test failures.
    Thanks to Chris Markiewicz (Closes: #997126)
  * Adjust lintian overrides to python3-nipype and rename tag.
  * Add override to missing source: false positive

 -- Étienne Mollier <emollier@debian.org>  Sun, 07 Nov 2021 10:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-nbsphinx,
                python3-nibabel,
                python3-nitime,
-               python3-nipy <needsrebuildorfix>,
+               python3-nipy,
                python3-simplejson,
                python3-scipy,
                python3-sympy,
@@ -36,10 +36,11 @@
                python3-prov,
                graphviz,
                ipython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
 Homepage: http://nipy.sourceforge.net/nipype/
+Rules-Requires-Root: no
 
 Package: python3-nipype
 Architecture: all
@@ -94,6 +95,7 @@
          libjs-jquery,
          libjs-underscore
 Suggests: python3-nipype
+Multi-Arch: foreign
 Description: Neuroimaging data analysis pipelines in Python3 -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates
  an API for specifying a full analysis pipeline in Python.  Currently,

## nipype 1.7.1

=== debian/changelog ===
nipype (1.7.1-2) unstable; urgency=medium

  * Team upload.
  * d/p : Add patch to make builds reproducible
  * Add autopkgtests
       Run build-time tests also as autopktests
  * Update lintian-override

 -- Mohammed Bilal <mdbilal@disroot.org>  Tue, 23 Aug 2022 18:23:37 +0000

nipype (1.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.1-1 (Closes: #1008430)
  * Refresh patches, drop tcompcor.patch: merged upstream
  * Add patch to fix test_CompCor.py

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 May 2022 21:24:33 +0530

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
-Homepage: http://nipy.sourceforge.net/nipype/
+Homepage: https://nipype.readthedocs.io/en/latest/
 Rules-Requires-Root: no
 
 Package: python3-nipype

## nipype 1.8.5

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
click>=6.6.0
networkx>=2.0
nibabel>=2.1.0
numpy>=1.13 ; python_version < "3.7"
numpy>=1.15.3 ; python_version >= "3.7"
packaging
prov>=1.5.2
pydot>=1.2.3
python-dateutil>=2.2
rdflib>=5.0.0
scipy>=0.14
simplejson>=3.8.0
traits>=4.6,!=5.0
filelock>=3.0.0
etelemetry>=0.2.0

=== debian/changelog ===
nipype (1.8.5-3) unstable; urgency=medium

  * Team upload.
  * Simplify and fix skipping test on s390x
  * Add several patches to fix issue
    https://github.com/nipy/nipype/issues/3537

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 17:40:58 +0100

nipype (1.8.5-2) unstable; urgency=medium

  * Team upload.
  * Exclude single test on s390x
  * New version builds with latest nibabel
    Closes: #1029660

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 20:15:29 +0100

nipype (1.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove constraints unnecessary since buster (oldstable):
    + python3-nipype: Replace dependency on transitional package fsl with
      replacement fsl-core in Suggests.
  * As long as Python3 module looseversion is not packaged yet use
    distutils instead

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jan 2023 11:14:30 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                python3-prov,
                graphviz,
                ipython3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
 Homepage: https://nipype.readthedocs.io/en/latest/
@@ -50,6 +50,7 @@
          ${misc:Depends},
          python3-click,
          python3-dateutil,
+         python3-dipy,
          python3-packaging,
          python3-scipy,
          python3-simplejson,
@@ -70,7 +71,7 @@
             python3-pydotplus,
             python3-pydot,
             python3-cfflib
-Suggests: fsl,
+Suggests: fsl-core,
           afni,
           python3-nipy,
           slicer,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,@builddeps@, quilt
Restrictions: allow-stderr

## nipype 1.8.6

=== debian/changelog ===
nipype (1.8.6-3) unstable; urgency=medium

  * Team upload.
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 Feb 2024 17:49:44 +0100

nipype (1.8.6-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-future from (Build-)Depends
    Closes: #1058058
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Dec 2023 11:03:06 +0100

nipype (1.8.6-1) unstable; urgency=medium

  * New upstream version 1.8.6  (Closes: #1042133)
  * d/control: remove fsl-core from suggestions.
    This package has been removed from unstable.
  * 010*_*.patch: delete: applied upstream.
  * deb_skip_doctest_pybids patch: refresh.
  * d/control: add myself to uploaders.
  * fix-privacy-breaches.patch: new: remove links from documentation.
    These links are automatically loaded upon reading the documentation,
    due to being images or stylesheets.
  * d/t/control: autopkgtest depends on python3-all.

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Aug 2023 09:29:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: nipype
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-sphinx,
                python3-sphinxcontrib.apidoc,
@@ -28,10 +29,8 @@
                python3-scipy,
                python3-sympy,
                python3-traits,
-               python3-mock,
                python3-networkx,
                python3-funcsigs,
-               python3-future,
                python3-psutil,
                python3-prov,
                graphviz,
@@ -59,7 +58,6 @@
          python3-networkx,
          python3-etelemetry,
          python3-funcsigs,
-         python3-future,
          python3-prov,
          python3-psutil
 Recommends: ipython3,
@@ -67,12 +65,10 @@
             graphviz,
             python3-xvfbwrapper,
             mayavi2,
-            python3-mock,
             python3-pydotplus,
             python3-pydot,
             python3-cfflib
-Suggests: fsl-core,
-          afni,
+Suggests: afni,
           python3-nipy,
           slicer,
           matlab-spm8,
@@ -91,12 +87,12 @@
 
 Package: python-nipype-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-underscore
 Suggests: python3-nipype
-Multi-Arch: foreign
 Description: Neuroimaging data analysis pipelines in Python3 -- documentation
  Nipype interfaces Python to other neuroimaging packages and creates
  an API for specifying a full analysis pipeline in Python.  Currently,

## nipype 1.9.0

=== debian/changelog ===
nipype (1.9.0-1~nd24.04+1) noble; urgency=medium

  * Backported for noble.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 13 Nov 2024 15:45:32 -0500

nipype (1.9.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove dependency on python3-funcsigs (Closes: #1081079)
  * python3-looseversion is packaged, use it

  [ Étienne Mollier ]
  * New upstream version 1.9.0 (Closes: #1064732, #1084625, #1085740)
  * d/copyright: document nipype/external/due.py, under BSD-2-Clause.
  * remove-dead-code.patch: remove dead patch.
  * d/patches/*: unfuzz all patches that needed it.
  * d/control: tests depend on python3-puremagic.
  * fixup-strict-digraph-test.patch: new: nudge a test to pass.
  * d/patches/*: normalize Last-Update.
  * d/control: migrate to pyproject.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Mon, 04 Nov 2024 21:45:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: nipype
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Étienne Mollier <emollier@debian.org>
@@ -7,6 +8,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-setuptools,
                python3-all,
                python3-sphinx,
                python3-sphinxcontrib.apidoc,
@@ -15,11 +18,13 @@
                python3-packaging,
                python3-pytest <!nocheck>,
                python3-pytest-xdist <!nocheck>,
+               python3-puremagic <!nocheck>,
                python3-pydot,
                python3-pydotplus,
                python3-click,
                python3-etelemetry,
                python3-filelock,
+               python3-looseversion,
                python3-matplotlib,
                python3-nbsphinx,
                python3-nibabel,
@@ -30,12 +35,11 @@
                python3-sympy,
                python3-traits,
                python3-networkx,
-               python3-funcsigs,
                python3-psutil,
                python3-prov,
                graphviz,
                ipython3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
 Homepage: https://nipype.readthedocs.io/en/latest/
@@ -44,12 +48,13 @@
 Package: python3-nipype
 Architecture: all
 Section: python
-Depends: ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-click,
          python3-dateutil,
          python3-dipy,
+         python3-looseversion,
          python3-packaging,
          python3-scipy,
          python3-simplejson,
@@ -57,7 +62,6 @@
          python3-nibabel,
          python3-networkx,
          python3-etelemetry,
-         python3-funcsigs,
          python3-prov,
          python3-psutil
 Recommends: ipython3,
@@ -89,7 +93,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          libjs-jquery,
          libjs-underscore
 Suggests: python3-nipype
